httpd-apreq-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Geoffrey Young <ge...@modperlcookbook.org>
Subject -Werror compilation errors
Date Tue, 14 Oct 2003 13:59:06 GMT
hi all

I was trying to build httpd-apreq-2 and the build script pulled out the 
-Werror setting from my mod_perl build and failed.

attached is a patch that gets rid of most of the warnings/errors.  the only 
ones left are

/src/httpd-apreq-2/glue/perl/xsbuilder/apreq_xs_postperl.h:388: warning: 
`apreq_xs_encode' defined but not used
/src/httpd-apreq-2/glue/perl/xsbuilder/apreq_xs_postperl.h:409: warning: 
`apreq_xs_decode' defined but not used
/src/httpd-apreq-2/glue/perl/xsbuilder/Apache/Request/Apache__Request.h:63: 
warning: `apreq_xs_make_param' defined but not used


which I wasn't sure how to get rid of, since they are functions that appear 
to be used elsewhere.

oh, and if someone could enlighten me as to the proper way to disable 
-Werror on-the-fly, that would be super.

--Geoff


Mime
View raw message